### Function

# Gio AppInfo get_recommended_for_type

since: 2.28

#### Declaration

    GList*
    g_app_info_get_recommended_for_type (
      const gchar* content_type
    )

#### Description

Gets a list of recommended `GAppInfos` for a given content type, i.e. those applications which claim to support the given content type exactly, and not by MIME type subclassing. Note that the first application of the list is the last used one, i.e. the last one for which `g_app_info_set_as_last_used_for_type()` has been called.

Available since: 2.28

#### Parameters

`content_type`

  Type: `const gchar*`

  The content type to find a `GAppInfo` for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `GAppInfo*`

`GList` of `GAppInfos` for given `content_type` or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.